Skip to main content
`Ctrl`+`K`

# DMPointLocationType

Describes the method to handle point location failure

## Synopsis

    typedef enum {
      DM_POINTLOCATION_NONE,
      DM_POINTLOCATION_NEAREST,
      DM_POINTLOCATION_REMOVE
    } DMPointLocationType;

## Values

- `DM_POINTLOCATION_NONE` - return a negative cell number

- `DM_POINTLOCATION_NEAREST` - the (approximate) nearest point in the mesh is used

- `DM_POINTLOCATION_REMOVE` - returns values only for points which were located

## See Also

DM Basics, `DM`, `DMLocatePoints()`

## Level

intermediate

## Location

include/petscdmtypes.h

## Examples

src/dm/tutorials/swarm_ex3.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages